rem HSP_do.bat
@rem 内容が古くなっているかもしれないので
@rem その場合は修正して使用して下さい
@rem HSPプロコン出品作
@rem hspc
@rem をインストールする必要があります
@rem https://dev.onionsoft.net/seed/info.ax?id=1392
@rem hspcがバージョンアップしてURLは変わっていくと思います
@rem hspcのPATHは修正して下さい
@rem hspcのPATHは修正して下さい
@rem exeにすると挙動が変わるらしいので
@rem って普通にmakeして実行すればいいのかｗ
@rem hspcのPATHは修正して下さい
@echo off
echo HSPスクリプトファイルをコンパイルして実行FILEを作成します
echo.

echo cd "%~d1%~p1"
cd "%~d1%~p1"
echo.

echo "C:\Program Files\hsp36\hspc.exe" -aPmC "%~1"
rem 次の行をお使いのPCのHSPのPATHに書き換えてください
"C:\Program Files\hsp36\hspc.exe" -aPmC "%~1"
echo.


echo del packfile
del packfile

echo del start.ax
del start.ax

hsptmp.exe
echo.
echo.
echo.
pause
HSP_debug
スクリプトを実行しないでデバッグだけします
hspcのPATHは修正して下さい
@echo off
echo HSPスクリプトファイルをデバッグします

echo cd "C:\hsp36"
rem 次の行をお使いのPCのperlのPATHに書き換えてください
cd "C:\hsp36"


echo hspc lint --watch "%~1"
echo.

hspc lint --watch "%~1"
echo.
echo.
pause
@rem このスクリプトは著作権者のtytyさんの意向で
@rem NYSLとしています
@rem NYSL Version 0.9982